FieldCache.cpp File Reference
`#include "FieldCache.h"`
`#include "Traits.h"`

Go to the source code of this file.

## Variables

template<typename Data_T>
boost::mutex | FieldCache< Data_T >::ms_accessMutex
template<typename Data_T>
FIELD3D_NAMESPACE_OPEN boost::mutex | FieldCache< Data_T >::ms_creationMutex
template<typename Data_T>
boost::scoped_ptr< FieldCache< Data_T > > | FieldCache< Data_T >::ms_singleton

## Detailed Description

Contains implementation of FieldCache class.

Definition in file FieldCache.cpp.

## Variable Documentation

## FieldCache< Data_T >::ms_creationMutex

template<typename Data_T>

FIELD3D_NAMESPACE_OPEN boost::mutex FieldCache< Data_T >::ms_creationMutex

Definition at line 57 of file FieldCache.cpp.

## FieldCache< Data_T >::ms_accessMutex

template<typename Data_T>

boost::mutex FieldCache< Data_T >::ms_accessMutex

Definition at line 59 of file FieldCache.cpp.

## FieldCache< Data_T >::ms_singleton

template<typename Data_T>

boost::scoped_ptr<FieldCache<Data_T> > FieldCache< Data_T >::ms_singleton

Definition at line 61 of file FieldCache.cpp.